<!--
<?php
print <<<EOT
--> 
<SCRIPT LANGUAGE="JavaScript">
<!--
function upfile(url,name,size,p){
	//if(p=='pic'){
		document.getElementById(p).value=url;
	//}else{
	//	document.getElementById("flashurl").value=url;
	//}
	
}
//-->
</SCRIPT>

<script src="images/setday.js"></script>
<table width="100%" border="0" cellspacing="1" cellpadding="3" class="tablewidth">
  <form name="form1" method="post" action="index.php?lfj=$lfj&action=$job">
    <tr class="head"> 
      <td colspan="2">模板管理</td>
    </tr>
    <!--
EOT;
if($job=="editadplace"){
print <<<EOT
-->
    <tr bgcolor="#FFFFFF"> 
      <td width="16%">廣告啟用/停用</td>
      <td width="84%"> 
        <input type="radio" name="isclose" value="1" $isclose[1]>
        停用 
        <input type="radio" name="isclose" value="0" $isclose[0]>
        啟用</td>
    </tr>
    <!--
EOT;
}print <<<EOT
-->
    <tr bgcolor="#FFFFFF"> 
      <td width="16%">是否開通給用戶購買:</td>
      <td width="84%"> 
        <input type="radio" name="ifsale" value="1" $ifsale[1] onclick="if_sale('1')">
        同意購買 
        <input type="radio" name="ifsale" value="0" $ifsale[0] onclick="if_sale('0')">
        禁止購買</td>
    </tr>
    <tr bgcolor="#FFFFFF" id='saletr1'> 
      <td width="16%">購買的廣告是否自動通過審核:</td>
      <td width="84%"> 
        <input type="radio" name="autoyz" value="1" $autoyz[1]>
        自動通過審核 
        <input type="radio" name="autoyz" value="0" $autoyz[0]>
        手工審核</td>
    </tr>
    <tr bgcolor="#FFFFFF" id='saletr2'> 
      <td width="16%">購買價格:</td>
      <td width="84%"> 
        <input type="text" name="moneycard" size="5" value="$rsdb[moneycard]">
        (金幣/天)數值必須要大于0</td>
    </tr>
    <tr bgcolor="#FFFFFF" id='nosaletr1'> 
      <td width="16%">本廣告有效日期</td>
      <td width="84%">開始: 
        <input type="text"  onclick="setday(this)" size="20" value="$rsdb[begintime]" name="begintime">
        結束: 
        <input type="text" name="endtime"  onclick="setday(this)" size="20" value="$rsdb[endtime]">
        (填0則不做限制) </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="16%">廣告位名稱: </td>
      <td width="84%"> 
        <input type="text" name="postdb[name]" value="$rsdb[name]" size="40">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF">
      <td width="16%">廣告所在頁面網址:<span help=1>這一項,可以留空.<br>但是,當你的廣告位設置給用戶購買的時候,建議不要留空,方便用戶查看廣告位的具體位置及展示效果.<br>同時也建議你畫一張圖,指出具體的廣告位置,然後在這里輸入這張圖片的訪問網址,以方便用戶準確的理解到這個廣告的位置及展未效果.</span></td>
      <td width="84%">
        <input type="text" name="postdb[demourl]" value="$rsdb[demourl]" size="50">
        (可留空) </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="16%">關鍵字:<br>
        (英文或數字,不能跟之前的雷同) </td>
      <td width="84%"> 
        <input type="text" name="postdb[keywords]" value="$rsdb[keywords]">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2"> 
        <input type="radio" name="postdb[type]" value="word" id="word_bt" onclick="choose_type('word')">
        文字廣告位 
        <input type="radio" name="postdb[type]" value="pic" id="pic_bt" onclick="choose_type('pic')">
        圖片廣告位 
        <input type="radio" name="postdb[type]" value="swf" id="swf_bt" onclick="choose_type('swf')">
        FLASH廣告位 
        <input type="radio" name="postdb[type]" value="code" id="code_bt" onClick="choose_type('code')">
        代碼廣告位 
        <input type="radio" name="postdb[type]" value="duilian" id="duilian_bt" onClick="choose_type('duilian')">
        對聯廣告位 </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2"> 
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td>以下是默認參數,當沒人投廣告,或廣告失效時,將在頁面顯示如下內容,而不致于頁面是空白的</td>
          </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="3" id="worddiv" style="display:none;">
          <tr> 
            <td width="16%">文字內容:</td>
            <td width="84%"> 
              <input type="text" name="cdb[word]" value="$word">
            </td>
          </tr>
          <tr> 
            <td width="16%">文字鏈接地址:</td>
            <td width="84%"> 
              <input type="text" name="wordlinkurl" value="$linkurl">
            </td>
          </tr>
          <tr> 
            <td width="16%">打開方式:</td>
            <td width="84%"> 
              <input type="radio" name="wordtarget" value="blank" $_wordtarget[blank]>
              新窗口打開 
              <input type="radio" name="wordtarget" value="self" $_wordtarget[self]>
              本窗口打開 </td>
          </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" id="picdiv" style="display:none;">
          <tr> 
            <td width="16%">圖片地址:</td>
            <td width="84%"> 
              <input type="text" name="cdb[picurl]" size="60" value="$picurl" id="imgurl">
              <a href='javascript:' onClick='window.open("upfile.php?label=imgurl&dir=ad","","width=350,height=50,top=200,left=400")'><font color="#FF0000">點擊上傳圖片</font></a> 
              <a href="javascript:" class="style30"  onClick="javascript:cutimg();">[剪裁圖片]</a> 
            </td>
          </tr>
          <tr> 
            <td width="16%">圖片鏈接地址:</td>
            <td width="84%"> 
              <input type="text" name="cdb[linkurl]" size="60" value="$linkurl">
            </td>
          </tr>
          <tr> 
            <td width="16%">圖片寬度:</td>
            <td width="84%"> 
              <input type="text" name="picwidth" value="$width" size="5" id="imgwidth">
              像素</td>
          </tr>
          <tr> 
            <td width="16%">圖片高度:</td>
            <td width="84%"> 
              <input type="text" name="picheight" value="$height" size="5" id="imgheight">
              像素</td>
          </tr>
          <tr> 
            <td width="16%">打開方式:</td>
            <td width="84%"> 
              <input type="radio" name="pictarget" value="blank" $_pictarget[blank]>
              新窗口打開 
              <input type="radio" name="pictarget" value="self" $_pictarget[self]>
              本窗口打開</td>
          </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" id="flashdiv" style="display:none;">
          <tr> 
            <td width="16%">FLASH地址:</td>
            <td width="84%"> 
              <input type="text" name="cdb[flashurl]" size="60" value="$flashurl" id="flashurl">
              <a href='javascript:' onClick='window.open("upfile.php?label=flashurl&dir=ad","","width=350,height=50,top=200,left=400")'><font color="#FF0000">點擊上傳FLASH</font></a> 
            </td>
          </tr>
          <tr> 
            <td width="16%">FLASH寬度:</td>
            <td width="84%"> 
              <input type="text" name="swfwidth" value="$width" size="5">
              像素</td>
          </tr>
          <tr> 
            <td width="16%">FLASH高度:</td>
            <td width="84%"> 
              <input type="text" name="swfheight" value="$height" size="5">
              像素</td>
          </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" id="codediv" style="display:none;">
          <tr> 
            <td width="16%">廣告代碼:<br>
              注意:如果是插入JS代碼的話,請點擊編輯器上方的"源碼"然後把JS代碼粘貼進去,立即提交.而不要再點"設計"返回來,否則將提交不succeed。另外，修改的時候,如果JS代碼的話，需要點擊“源碼”才能看得到，同理不要點擊“設計”返回來，否則也是提交不succeed的</td>
            <td width="84%"> <iframe id="eWebEditor1" src="ewebeditor/ewebeditor.php?id=content&style=standard" frameborder="0" scrolling="no" width="650" height="250"></iframe> 
              <input name="cdb[code]" type="hidden" id="content" value='$code'>
            </td>
          </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" id="duiliandiv" style="display:none;">
          <tr> 
            <td width="18%">左邊的FLASH/圖片源地址</td>
            <td width="82%"> 
              <input type="text" name="l_src" value="$l_src" size="50" id="l_src">
              <a href='javascript:' onClick='window.open("upfile.php?label=l_src&dir=ad","","width=350,height=50,top=200,left=400")'><font color="#FF0000">點擊上傳文件</font></a></td>
          </tr>
          <tr> 
            <td width="18%">左邊的FLASH/圖片鏈接地址</td>
            <td width="82%"> 
              <input type="text" name="l_link" value="$l_link" size="50">
            </td>
          </tr>
          <tr> 
            <td width="18%">左邊的FLASH/圖片尺寸</td>
            <td width="82%">寬: 
              <input type="text" name="l_width" value="$l_width" size="8">
              像素,高: 
              <input type="text" name="l_height" value="$l_height" size="8">
              像素 </td>
          </tr>
          <tr> 
            <td width="18%">右邊的FLASH/圖片源地址</td>
            <td width="82%"> 
              <input type="text" name="r_src" value="$r_src" size="50" id="r_src">
              <a href='javascript:' onClick='window.open("upfile.php?label=r_src&dir=ad","","width=350,height=50,top=200,left=400")'><font color="#FF0000">點擊上傳文件</font></a></td>
          </tr>
          <tr> 
            <td width="18%">右邊的FLASH/圖片鏈接地址</td>
            <td width="82%"> 
              <input type="text" name="r_link" value="$r_link" size="50">
            </td>
          </tr>
          <tr> 
            <td width="18%">右邊的FLASH/圖片尺寸</td>
            <td width="82%">寬: 
              <input type="text" name="r_width" value="$r_width" size="8">
              像素,高: 
              <input type="text" name="r_height" value="$r_height" size="8">
              像素 </td>
          </tr>
        </table>
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2" align="center"> 
        <SCRIPT LANGUAGE="JavaScript">
<!--
function choose_type(type){
	if(type=="word"){
		document.getElementById("word_bt").checked=true;
		document.getElementById("pic_bt").checked=false;
		document.getElementById("swf_bt").checked=false;
		document.getElementById("code_bt").checked=false;
		document.getElementById("duilian_bt").checked=false;

		document.getElementById("worddiv").style.display='';
		document.getElementById("picdiv").style.display='none';
		document.getElementById("flashdiv").style.display='none';
		document.getElementById("codediv").style.display='none';
		document.getElementById("duiliandiv").style.display='none';
	}else if(type=="pic"){
		document.getElementById("word_bt").checked=false;
		document.getElementById("pic_bt").checked=true;
		document.getElementById("swf_bt").checked=false;
		document.getElementById("code_bt").checked=false;
		document.getElementById("duilian_bt").checked=false;

		document.getElementById("worddiv").style.display='none';
		document.getElementById("picdiv").style.display='';
		document.getElementById("flashdiv").style.display='none';
		document.getElementById("codediv").style.display='none';
		document.getElementById("duiliandiv").style.display='none';
	}else if(type=="swf"){
		document.getElementById("word_bt").checked=false;
		document.getElementById("pic_bt").checked=false;
		document.getElementById("swf_bt").checked=true;
		document.getElementById("code_bt").checked=false;
		document.getElementById("duilian_bt").checked=false;

		document.getElementById("worddiv").style.display='none';
		document.getElementById("picdiv").style.display='none';
		document.getElementById("flashdiv").style.display='';
		document.getElementById("codediv").style.display='none';
		document.getElementById("duiliandiv").style.display='none';
	}else if(type=="code"){
		document.getElementById("word_bt").checked=false;
		document.getElementById("pic_bt").checked=false;
		document.getElementById("swf_bt").checked=false;
		document.getElementById("code_bt").checked=true;
		document.getElementById("duilian_bt").checked=false;

		document.getElementById("worddiv").style.display='none';
		document.getElementById("picdiv").style.display='none';
		document.getElementById("flashdiv").style.display='none';
		document.getElementById("duiliandiv").style.display='none';
		document.getElementById("codediv").style.display='';
	}else if(type=="duilian"){
		document.getElementById("word_bt").checked=false;
		document.getElementById("pic_bt").checked=false;
		document.getElementById("swf_bt").checked=false;
		document.getElementById("duilian_bt").checked=true;
		document.getElementById("code_bt").checked=false;

		document.getElementById("worddiv").style.display='none';
		document.getElementById("picdiv").style.display='none';
		document.getElementById("flashdiv").style.display='none';
		document.getElementById("codediv").style.display='none';
		document.getElementById("duiliandiv").style.display='';
	}
}
choose_type('$rsdb[type]');
//-->
</SCRIPT>
        <input type="hidden" name="id" value="$id">
        <input type="submit" name="Submit" value="提 交">
        <script language="javascript">
function cutimg() 
{
	var img=document.getElementById("imgurl").value;
	var cw=document.getElementById("imgwidth").value;
	var ch=document.getElementById("imgheight").value;
	if(cw==''){
		document.getElementById("imgwidth").focus();
		alert("請設置好圖片寬度");return false;
	}
	if(ch==''){
		document.getElementById("imgheight").focus();
		alert("請設置好圖片高度");return false;
	}
if(img!=''){
	if(img.indexOf("http://")==-1){
		img="$webdb[www_url]/$webdb[updir]/"+img;
	}
	window.open("cutimg.php?job=cutimg&width="+cw+"&height="+ch+"&srcimg="+img,'',"width=480,height=430")
}else{
	document.getElementById("imgurl").focus();
	alert('圖片地址不存在');
}
}
</script>
        <SCRIPT LANGUAGE="JavaScript">
<!--
function if_sale(v){
	if(v=='1'){
		get_obj('saletr1').style.display='';
		get_obj('saletr2').style.display='';
		get_obj('nosaletr1').style.display='none';
	}else{
		get_obj('saletr1').style.display='none';
		get_obj('saletr2').style.display='none';
		get_obj('nosaletr1').style.display='';
	}
}
if_sale('$rsdb[ifsale]');
//-->
</SCRIPT>
      </td>
    </tr>
  </form>
</table>
<!--
EOT;
?>
-->
